Package org.opensaml.xacml.policy.impl

# Class PolicySetCombinerParametersTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl
org.opensaml.xacml.policy.impl.PolicySetCombinerParametersTypeImpl

All Implemented Interfaces:
  `XMLObject`, `CombinerParametersType`, `PolicySetCombinerParametersType`, `XACMLObject`

public class PolicySetCombinerParametersTypeImpl extends CombinerParametersTypeImpl implements PolicySetCombinerParametersType
Implementation of `PolicySetCombinerParametersType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`policySetIdRef`
Policy identity reference.

### Fields inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.PolicySetCombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, POLICY_SET_ID_REF_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PolicySetCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getPolicySetIdRef()`
Gets the referenced policy set's ID.
`void`
`setPolicySetIdRef(String ref)`
Sets the referenced policy set's ID.

### Methods inherited from class org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl

`getCombinerParameters`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`getCombinerParameters`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### policySetIdRef

private String policySetIdRef
Policy identity reference.

## Constructor Details

### PolicySetCombinerParametersTypeImpl

protected PolicySetCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getPolicySetIdRef

public String getPolicySetIdRef()
Gets the referenced policy set's ID.

Specified by:
  `getPolicySetIdRef` in interface `PolicySetCombinerParametersType`
Returns:
  referenced policy set's ID

### setPolicySetIdRef

public void setPolicySetIdRef(String ref)
Sets the referenced policy set's ID.

Specified by:
  `setPolicySetIdRef` in interface `PolicySetCombinerParametersType`
Parameters:
  `ref` - referenced policy set's ID

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `CombinerParametersTypeImpl`
Returns:
  ordered list of child elements